language: cn
model_unique_abbr: spatial_co_location_pattern_mining
version: 1.0
identification:
  docker_image_name: spatial_co_location_pattern_mining:1.0
  model_name: 空间同位模式挖掘
  semantic: Spatial isotopic mode mining
  description: 空间同位模式挖掘是发现频繁同时出现于邻近空间位置的地理空间对象集合的关联关系挖掘算法。其中，常用的基于点过程分解的多尺度空间同位模式挖掘方法是一种可以有效挖掘不同观测尺度下空间同位模式及其地理空间对象分布的算法。
  category_application: 描述型
  category_data:
    - 点数据分析
  keywords:
    - 空间同位模式
parameter_info:
  parameters:
    - arg_name: targetinput
      is_single_en_dash: false
      param_type: input_data
      name: 目标二维点数据
      description: 目标二维点数据文件，输入为csv格式的文件
      data_type: csv
      data_semantic: target input data

    - arg_name: targetinputxfield
      is_single_en_dash: false
      param_type: param
      name: 目标点数据文件的x列
      description: 目标点数据文件的x列名称
      is_required: true
      data_type: str
      data_semantic: target x field
      param_switches:
        - switch_arg_name: targetinput
          switch_arg_value_regex: csv$
          switch_arg_value_examples: [a.csv, b.csv]

    - arg_name: targetinputyfield
      is_single_en_dash: false
      param_type: param
      name: 目标点数据文件的y列
      description: 目标点数据文件的y列名称
      is_required: true
      data_type: str
      data_semantic: target y field
      param_switches:
        - switch_arg_name: targetinput
          switch_arg_value_regex: csv$
          switch_arg_value_examples: [ a.csv, b.csv ]

    - arg_name: referenceinput
      is_single_en_dash: false
      param_type: input_data
      name: 参考二维点数据
      description: 参考二维点数据文件，输入为csv格式的文件
      data_type: csv
      data_semantic: reference input data

    - arg_name: referenceinputxfield
      is_single_en_dash: false
      param_type: param
      name: 参考点数据文件的x列
      description: 参考点数据文件的x列名称
      is_required: true
      data_type: str
      data_semantic: reference x field
      param_switches:
        - switch_arg_name: referenceinput
          switch_arg_value_regex: csv$
          switch_arg_value_examples: [a.csv, b.csv]

    - arg_name: referenceinputyfield
      is_single_en_dash: false
      param_type: param
      name: 参考点数据文件的y列
      description: 参考点数据文件的y列名称
      is_required: true
      data_type: str
      data_semantic: reference y field
      param_switches:
        - switch_arg_name: referenceinput
          switch_arg_value_regex: csv$
          switch_arg_value_examples: [a.csv, b.csv]

    - arg_name: knum
      is_single_en_dash: false
      param_type: param
      name: 参数k
      description: 参数k，表示不同的空间尺度，int类型，大于0，默认值为5
      is_required: true
      data_type: int
      data_semantic: The parameter k, which represents different spatial scales
      specification:
        default: 5

    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 不同尺度下挖掘到的同位模式结果
      description: 不同尺度下挖掘到的同位模式结果，保存为json格式的文件
      data_type: json
      data_semantic: The co-location patterns mined at different scales

application:
  domain: 多尺度同位模式挖掘
  objective: 多尺度同位模式挖掘
  dimension:
    - 二维
  mechanism: 多尺度同位模式挖掘
operation:
  usage: "该算法需要五个参数,目标点数据的x坐标，目标点数据的y坐标,参考点数据的x坐标，参考点数据的y坐标, k值"
  exec_example:
    - docker run -v $(pwd):/data spatial_co_location_pattern_mining:1.0 --targetinput /data/a.csv  --referenceinput /data/b.csv  --targetinputxfield x --targetinputyfield y --referenceinputxfield x --referenceinputyfield y  --knum 5  --output result.json
  output_display:
    - "展示空间点数据在不同尺度k下的同位模式，展示方式为点数据的x坐标，y坐标，以及对应的尺度k值"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Nanwei Cheng
  organization: Central South University
  contact: 2247486718@qq.com
  references:
    - "邓敏, 谌恺祺, 石岩, 等. 2022. 多尺度空间同位模式挖掘的点过 程分解方法. 测绘学报, 51(2): 258–268."
